/* -*- C++ -*-

Copyright (C) 2000 Francesco Bresciani <fbresciani@users.sourceforge.net>
This file is part of Kemistry

Kemistry is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

Kemistry is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Kemistry; see the file COPYING.  If not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/


#include <kapp.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <kglobal.h>
#include <klocale.h>

#include "kembabel.h"
#include "config.h"

#define APP_VERSION "0.2.1"

static KCmdLineOptions options[] =
{
	{0, 0, 0}
};


int main(int argc, char **argv)
{
	QString version = APP_VERSION;
	version += QString(" (Kemistry %1)").arg(VERSION);
	KAboutData about("kembabel", "KemBabel", version,
		I18N_NOOP("Conversion utility for chemistry file formats" ),
		KAboutData::License_GPL,
		"(C) 2000-2002 Francesco Bresciani",
		I18N_NOOP("This program is part of Kemistry, a collection\nof chemistry"
		" applications for the K Desktop Environment"),
		"http://kemistry.sourceforge.net/kembabel.php",
		"fbresciani@users.sourceforge.net");
	about.addAuthor("Francesco Bresciani", I18N_NOOP("Author and maintainer"),
		"fbresciani@users.sourceforge.net");

	about.setTranslator(I18N_NOOP("_:NAME OF TRANSLATORS\nYour names"),
	I18N_NOOP("_:EMAIL OF TRANSLATORS\nYour emails"));

	KCmdLineArgs::init(argc, argv, &about);
	KCmdLineArgs::addCmdLineOptions(options);

	KApplication app;

	KCmdLineArgs* args = KCmdLineArgs::parsedArgs();

  // No command line args, show the GUI
	KemBabelWin *kembabel = new KemBabelWin();
    kembabel->show();
    return app.exec();
}

